'Nome       : StcMovPct.sql
'Tipo       : SQL
'Data       : 2015/12/06
'Versao     : 1.0a
'Descricao  : STC - Periodo contabilistico

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.0a  ____/__/__ --------------------------------------------------
'Eliminada opcao em desenvolvimento

'- Versao : 1.0   2015/06/02 --------------------------------------------------
'Versao base


'==============================================================================
#DEF - Definicao global do documento
'==============================================================================
Caracteres invalidos             [CarInv]=#
Subtotalizadores                 [SbtNiv]=5
##


'==============================================================================
#ESP - Campos especificos
'==============================================================================
##


'==============================================================================
#SQL - Comandos SQL
'==============================================================================
Base de dados           [BD]=EmpFic$("EMP","Cemp,Emp_Dat.mdb")
'Base de dados           [BD]=EmpFic$("EMP","Stc,Stc.mdb")


'JET/MES       (INT((Dtl - INT(Dtl / 100000000000) * 100000000000) / 1000000000)) AS MES
'JET/PCT       ((Dtl - INT(Dtl / 10000000) * 10000000) / 100000) AS PCT

'SQS/MES       (ROUND((Dtl - ROUND(Dtl / 100000000000,0,1) * 100000000000) / 1000000000,0,1)) AS MES
'SQS/PCT       ((Dtl - ROUND(Dtl / 10000000,0,1) * 10000000) / 100000) AS PCT


'------------------------------------------------------------------------------
'- generico -------------------------------------------------------------------
'------------------------------------------------------------------------------
Nome do artigo [Cmd]=ArtNom=+
   +SELECT Nome1$ as [NOME$] +
   +FROM {TB_StcMst} +
   +WHERE Art$ = '{ART.COD}'


'------------------------------------------------------------------------------
'- Movimentos - SQL Server ----------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=SqsLisMov=+
   +SELECT MOV.*, +
   +(ROUND((Dtl - ROUND(Dtl / 100000000000,0,1) * 100000000000) / 1000000000,0,1)) AS MES, +
   +((Dtl - ROUND(Dtl / 10000000,0,1) * 10000000) / 100000) AS PCT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND Tdoc$ NOT IN('D0') +
   +AND (ROUND((Dtl - ROUND(Dtl / 100000000000,0,1) * 100000000000) / 1000000000,0,1)) <> 0 +
   +AND ((Dtl - ROUND(Dtl / 10000000,0,1) * 10000000) / 100000) = 0 +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzEnt  BETWEEN  {Opc_ArzEnt.Ini} AND  {Opc_ArzEnt.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Tdoc$, Ndoc$, RecIde


'------------------------------------------------------------------------------
'- SQL Server - Periodo contabilistico invalido -------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=SqsPctInv=+
   +SELECT MOV.*, +
   +(ROUND((Dtl - ROUND(Dtl / 100000000000,0,1) * 100000000000) / 1000000000,0,1)) AS MES, +
   +((Dtl - ROUND(Dtl / 10000000,0,1) * 10000000) / 100000) AS PCT +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND Tdoc$ NOT IN('D0') +
   +AND (ROUND((Dtl - ROUND(Dtl / 100000000000,0,1) * 100000000000) / 1000000000,0,1)) <> +
   +    ((Dtl - ROUND(Dtl / 10000000,0,1) * 10000000) / 100000) +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzEnt  BETWEEN  {Opc_ArzEnt.Ini} AND  {Opc_ArzEnt.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Tdoc$, Ndoc$, RecIde

##


'==============================================================================
'- TXT/SQS --------------------------------------------------------------------
'==============================================================================
'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=SqsPctInv,SQL Server - PCT Inválido

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=MovDoc
Listar cabecalho            [FxCAB]=MovDoc_Cab
Listar linhas               [FxLIN]=MovDoc_Lin
Listar fim                  [FxFIM]=MovDoc_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=SqsPctInv
Subtotalizadores           [SQLSbt]=Tdoc$,Ndoc$
##


'==============================================================================
'- TXT/JET --------------------------------------------------------------------
'==============================================================================
'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=JetPctInv,JET - PCT Inválido

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=MovDoc_Cab
Listar linhas               [FxLIN]=MovDoc_Lin
Listar fim                  [FxFIM]=MovDoc_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=JetPctInv
Subtotalizadores           [SQLSbt]=
##


'==============================================================================
#VAR - Variaveis
'==============================================================================
Tipo     = MemTxt$(1)
Pag      = Doc_CntPag
Tit080   = TxTit$("TT=10CPI, LD, PT=40C",Memtxt$(1))
Tit132   = TxTit$("TT=16CPI, LD, PT=66C",Memtxt$(1))
DataExt  = FrmVal$(Sig_DtHoje,45,0)

'- dados a listar -------------------------------------------------------------
vaEntCod = entCod$                              'entidade - codigo
vaEntCov = entCov$                              'entidade - codigo formatado
vaEntIde = entIde$                              'entidade - identificacao

vaObs    = usaObs$                              'observacaoes

vaMes    = FrmNum$(6,movMes)                    'mes
vaPct    = FrmNum$(6,movPct)                    'periodo contabilistico
vaAlt    = FrmNum$(6,movAlt)                    'situacao de movimento alterado

vMes     = FrmNum$(5,movMes)                    'formato reduzido - mes
vPct     = FrmNum$(5,movPct)                    'formato reduzido - periodo contabilistico
vAlt     = FrmNum$(5,movAlt)                    'formato reduzido - situacao de movimento alterado

'documento
vaMovTdo = movTdo$                              'tipo de documento
vaMovNdo = movNdo$                              'numero de documento
vaMovDoc = movDoc$                              'documento
vaMovDtl = FrmDt$("",docDtl)                    'data

'artigo
vaArtCod = artCod$                              'codigo
vaArtCov = artCov$                              'codigo formatado
vaArtNom = artNom$                              'nome

'conta
vaCtCod   = CTA_MST_Ct$                         'codigo da conta
vaCtNom   = CTA_MST_Nome$                       'nome

'codigo de movimento
vaCmv    = FrmNum$(6,cmvCod)                    'codigo - espaco reduzido
vaCmvCod = cmvCtx$                              'codigo
vaCmvCov = cmvCov$                              'codigo formatado
vaCmvNom = cmvNom$                              'nome

'armazem
'vaArz    = arzCtx$                              'codigo - espaco reduzido
vaArz    = FrmNum$(6,arzCod)                    'codigo - espaco reduzido
vaArzCod = arzCod$                              'codigo
vaArzCov = arzCov$                              'codigo formatado
vaArzNom = arzNom$                              'nome

'vendedor
'vaVnd    = vndCtx$                              'codigo - espaco reduzido
vaVnd    = FrmNum$(6,vndCod)                    'codigo - espaco reduzido
vaVndCod = vndCod$                              'codigo
vaVndCov = vndCov$                              'codigo formatado
vaVndNom = vndNom$                              'nome

'quantidade/valor
vaMovQu  = FrmNum$(06.3,movQua)                 'quantidade
vaMovVt  = FrmNum$(12.2,movVto)                 'valor

vaUsaQu  = FrmNum$(06.3,movUsQ)                 'quantidade
vaUsaVt  = FrmNum$(12.2,movUsV)                 'valor


'- diversos -------------------------------------------------------------------
vaIdeSbt  = ideSbt$                             'identificacao de subtotal

'contagem
toNrg    = FrmNum$(9.0,TotCnt("vaEntCov",0))    'numero de registos - total
s1Nrg    = FrmNum$(9.0,TotCnt("vaEntCov",1))    'numero de registos - subtotal 1
s2Nrg    = FrmNum$(9.0,TotCnt("vaEntCov",2))    'numero de registos - subtotal 2
s3Nrg    = FrmNum$(9.0,TotCnt("vaEntCov",3))    'numero de registos - subtotal 3
s4Nrg    = FrmNum$(9.0,TotCnt("vaEntCov",4))    'numero de registos - subtotal 4

'quantidade/valor
toMovQu  = FrmNum$(6.3,Total("vaMovQu",0))      'quantidade - total
s1MovQu  = FrmNum$(6.3,Total("vaMovQu",1))      'quantidade - subtotal 1
s2MovQu  = FrmNum$(6.3,Total("vaMovQu",2))      'quantidade - subtotal 2
s3MovQu  = FrmNum$(6.3,Total("vaMovQu",3))      'quantidade - subtotal 3
s4MovQu  = FrmNum$(6.3,Total("vaMovQu",4))      'quantidade - subtotal 4

toMovVt  = FrmNum$(12.2,Total("vaMovVt",0))     'valor - total
s1MovVt  = FrmNum$(12.2,Total("vaMovVt",1))     'valor - subtotal 1
s2MovVt  = FrmNum$(12.2,Total("vaMovVt",2))     'valor - subtotal 2
s3MovVt  = FrmNum$(12.2,Total("vaMovVt",3))     'valor - subtotal 3
s4MovVt  = FrmNum$(12.2,Total("vaMovVt",4))     'valor - subtotal 4

toUsaQu  = FrmNum$(06.3,Total("vaUsaQu",0))     'quantidade/usar - total
s1UsaQu  = FrmNum$(06.3,Total("vaUsaQu",1))     'quantidade/usar - subtotal 1
s2UsaQu  = FrmNum$(06.3,Total("vaUsaQu",2))     'quantidade/usar - subtotal 2
s3UsaQu  = FrmNum$(06.3,Total("vaUsaQu",3))     'quantidade/usar - subtotal 3
s4UsaQu  = FrmNum$(06.3,Total("vaUsaQu",4))     'quantidade/usar - subtotal 4

toUsaVt  = FrmNum$(12.2,Total("vaUsaVt",0))     'valor/usar - total
s1UsaVt  = FrmNum$(12.2,Total("vaUsaVt",1))     'valor/usar - subtotal 1
s2UsaVt  = FrmNum$(12.2,Total("vaUsaVt",2))     'valor/usar - subtotal 2
s3UsaVt  = FrmNum$(12.2,Total("vaUsaVt",3))     'valor/usar - subtotal 3
s4UsaVt  = FrmNum$(12.2,Total("vaUsaVt",4))     'valor/usar - subtotal 4
##


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'- +--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+
'- (13) --->'Comentario
'- (25) --------------->'Comentario
'- (28) ------------------>'Comentario
'- (40) ------------------------------>'Comentario
'- (43) --------------------------------->'Comentario
'- (46) ------------------------------------>'Comentario
'- (49) --------------------------------------->'Comentario
'- (52) ------------------------------------------>'Comentario
'- (55) --------------------------------------------->'Comentario
'- (58) ------------------------------------------------>'Comentario
'- (61) --------------------------------------------------->'Comentario
'- (64) ------------------------------------------------------>'Comentario
'- (67) --------------------------------------------------------->'Comentario
'- (70) ------------------------------------------------------------>'Comentario


Sub FxIni 'funcao de inicializacao
'nada a excutar
end sub


Sub FxFim 'funcao de finalizacao
'nada a excutar
end sub


Sub Lst_AJT 'ajuste
'nada a excutar
end sub


'=============================================================================
'- Comum ---------------------------------------------------------------------
'=============================================================================
'-----------------------------------------------------------------------------
'- [VAR] - Variaveis ---------------------------------------------------------
'-----------------------------------------------------------------------------
Sub Com_Var_Con 'consultar variaveis
docTdo$ = SqlCmp$("TDOC$")                         'tipo de documento
docNdo$ = SqlCmp$("NDOC$")                         'numero de documento
docDtl  = SqlCmp("DTL")                            'data do documento

artCod$ = SqlCmp$("ART$")                          'artigo
ctuCod$ = SqlCmp$("CT$")                           'conta

cmvCod  = SqlCmp("CMV")                            'codigo de movimento
vndCod  = SqlCmp("VEND")                           'vendedor

arzEnt  = SqlCmp("ARZENT")                         'armazem - entrada
arzSai  = SqlCmp("ARZSAI")                         'armazem - saida
arzCod  = arzEnt                                   'armazem - assume entrada
if arzCod < 1 then                                 'sem armazem ?
   arzCod  = arzSai                                'usar armazem de entrada
end if

movQua  = SqlCmp("QU")                             'quantidade
movVto  = SqlCmp("VT")                             'valor

movUsQ  = SqlCmp("usaQU")                          'quantidade a usar
movUsV  = SqlCmp("usaVT")                          'valor a usar

movTdo$ = docTdo$                                  'tipo de documento
movNdo$ = FrmNdo$("46", docTdo$, docNdo$)          'numero de documento
movDoc$ = movTdo$ + " " + movNdo$                  'documento

movMes  = SqlCmp("MES")                            'mes da data do documento
movPct  = SqlCmp("PCT")                            'periodo contabilistico da data do documento
movAlt  = SqlCmp("RecVal")                         'situacao de alteracao do movimento
end sub


Sub Com_Var_Prp 'preparar variaveis
usaObs$ = ""                                       'anular observacoes
call Com_Var_Con                                   'consultar variaveis

'preparar valores
call Com_Var_PrpArt                                'preparar variaveis - artigo
call Com_Var_PrpCmv                                'preparar variaveis - codigo de movimento
call Com_Var_PrpArz                                'preparar variaveis - armazem
'call Com_Var_PrpVnd                                'preparar variaveis - vendedor
call Com_Var_PrpCtu                                'preparar variaveis - conta
call Com_Var_PrpDoc                                'preparar variaveis - documento
end sub


Sub Com_Var_PrpArt 'preparar variaveis - artigo
res     = SqlOpcAct("Art.Cod",artCod$)             'registar artigo
res     = SqlCalc("ARTNOM")                        'preparar nome do artigo

artCov$ = StcCodFrm$(artCod$)                      'codigo formatado
artNom$ = SqlOpcCon$("NOME$")                      'nome
artIde$ = artCov$ + " - " + artNom$                'identificacao
end sub


Sub Com_Var_PrpCmv 'preparar variaveis - codigo de novimento
cmvCtx$ = TxtCv$(cmvCod)                           'codigo em texto
cmvCov$ = NumTxt$(cmvCod, 4)                       'codigo formatado
cmvNom$ = "CMV " + cmvCov$                         'nome
cmvIde$ = "CMV " + cmvCov$                         'identificacao
end sub


Sub Com_Var_PrpArz 'preparar variaveis - armazem
arzCtx$ = TxtCv$(arzCod)                           'codigo em texto
arzCov$ = NumTxt$(arzCod, 2)                       'codigo formatado
arzNom$ = "Armazem " + arzCov$                     'nome
arzIde$ = "Armazem " + arzCov$                     'identificacao
end sub


Sub Com_Var_PrpVnd 'preparar variaveis - vendedor
vndCtx$ = TxtCv$(vndCod)                           'codigo em texto
vndCov$ = NumTxt$(vndCod, 2)                       'codigo formatado
vndNom$ = EmpTabCon$("VEND", vndCod, "NOME")       'nome
vndIde$ = vndCov$ + " - " + vndNom$                'identificacao
end sub


Sub Com_Var_PrpCtu 'preparar variaveis - conta
res  = CtaContaLer(ctuCod$)                        'preparar dados da conta

'msgbox "",ctuCod$,res

ctuCov$ = CTA_MST_Ct$                              'codigo formatado
ctuNom$ = CTA_MST_Nome$                            'nome
ctuIde$ = ctuCov$ + " - " + ctuNom$                'identificacao
end sub


Sub Com_Var_PrpDoc 'preparar variaveis - documento
docCov$ = movDoc$                                  'codigo formatado
docIde$ = movCov$                                  'identificacao
end sub


'-----------------------------------------------------------------------------
'- [TXT] - Listar em modo texto ----------------------------------------------
'-----------------------------------------------------------------------------
Sub Com_Txt_Cab 'cabecalho - texto
FxDiv LstIde,16CPI,0
print TxTit$("TT=10CPI, LD, PT=66C, TL=10CPI",comCabTit$)
?Data: @DataExt                                                                                                       Folha No: @Pag#
?====================================================================================================================================
?  Codigo         Nome                                      Documento              Data    Quantidade         Valor     MES  PCT  ALT
'123456789.12345  123456789.123456789.123456789.123456789.  VndF1  123,456/2012 2012/01/01 12,345.123  -123,456,789.12  123  123  255
?====================================================================================================================================
'print string$(132,"-")
end sub


Sub Com_Txt_LinExe 'executar linha
?@vaEntCov        @vaEntIde                                 @vaMovDoc           @vaMovDtl  @vaMovQu    @vaMovVt       @vMes@vPct@vAlt
end sub


Sub Com_Txt_Fim 'terminar
?====================================================================================================================================
?           Totais:              @toNrg                                                                                             #
?====================================================================================================================================
FxDiv LstPer,SP
'Print PrtCmd$("[SP]");
end sub


'- grupo 1 -------------------------------------------------------------------
Sub Com_Txt_LinTit1 'titulo 1
if titIde$ <> "" then                              'ha titulo ?
   'tmp = CntLin("INC", 1)                          'contar linhas
   'print tab(5) titIde$                            'listar 

   tmp = CntLin("INC", 3)                          'contar linhas
   print string$(132,"-")                          'listar separador
   print tab(5) titIde$                            'listar 
   print string$(132,"-")                          'listar separador
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt1 'subtotal 1
nrg = TotCnt("vaEntCov",1)                         'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @vaIdeSbt            @s1Nrg                                                    @s1MovQu    @s1MovVt                     #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

tmp=CntLin("INC", 1)                               'contar linhas
print                                              'separar

x = TotLpz(1)                                      'limpar totais

ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 2 -------------------------------------------------------------------
Sub Com_Txt_LinTit2 'titulo 2
if titIde$ <> "" then                              'ha titulo ?
   tmp = CntLin("INC", 1)                          'contar linhas
   print tab(5) titIde$                            'listar 
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt2 'subtotal 2
nrg = TotCnt("vaEntCov",2)                         'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @vaIdeSbt            @s2Nrg                                                    @s2MovQu    @s2MovVt                     #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

sepSbt2 = 1                                        'separar subtotal 2
if sepSbt2 = 1 then                                'separar subtotal 2 ?
   tmp=CntLin("INC", 1)                            'contar linhas
   print                                           'separar
end if

sepSbt2 = 0                                        'nao separar subtotal 2
x = TotLpz(2)                                      'limpar totais

ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 3 -------------------------------------------------------------------
Sub Com_Txt_LinTit3 'titulo 3
if titIde$ <> "" then                              'ha titulo ?
   tmp = CntLin("INC", 1)                          'contar linhas
   print tab(5) titIde$                            'listar 
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt3 'subtotal 3
nrg = TotCnt("vaEntCov",3)                         'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @vaIdeSbt            @s3Nrg                                                    @s3MovQu    @s3MovVt                     #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

sepSbt3 = 1                                        'separar subtotal 3
if sepSbt3 = 1 then                                'separar subtotal 3 ?
   tmp=CntLin("INC", 1)                            'contar linhas
   print                                           'separar
end if

sepSbt3 = 0                                        'nao separar subtotal 3
x = TotLpz(3)                                      'limpar totais

ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 4 -------------------------------------------------------------------
Sub Com_Txt_LinTit4 'titulo 4
if titIde$ <> "" then                              'ha titulo ?
   tmp = CntLin("INC", 1)                          'contar linhas
   print tab(5) titIde$                            'listar 
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt4 'subtotal 4
nrg = TotCnt("vaEntCov",4)                         'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @vaIdeSbt            @s4Nrg                                                    @s4MovQu    @s4MovVt                     #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

'sepSbt4 = 1                                        'separar subtotal 4
'sepSbt4 = 0                                        'nao separar subtotal 4
if sepSbt4 = 1 then                                'separar subtotal 4 ?
   tmp=CntLin("INC", 1)                            'contar linhas
   print                                           'separar
end if

sepSbt4 = 0                                        'nao separar subtotal 4
x = TotLpz(4)                                      'limpar totais

ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'==============================================================================
'- [TXT] - Listar em modo texto -----------------------------------------------
'==============================================================================
'------------------------------------------------------------------------------
'- [TXT] - Movimentos do documento --------------------------------------------
'------------------------------------------------------------------------------
Sub MovDoc_Cab 'cabecalho
comCabTit$ = "Movimentos/Documento"                'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub MovDoc_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub MovDoc_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub



Sub MovDoc_LinTit1 'titulo 1
'nada a executar
end sub


Sub MovDoc_LinSbt1 'subtotal 1
'nada a executar
end sub


Sub MovDoc_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis

call Com_Var_PrpCtu                                'preparar variaveis - conta
ideCtu$ = ctuIde$                                  'identificacao da conta

call Com_Var_PrpDoc                                'preparar variaveis - documento
ideDoc$ = movDoc$                                  'identificacao do documento

'titIde$ = docIde$                                  'titulo
'titIde$ = ideDoc$ + " " + ideCtu$                  'titulo
titIde$ = ideCtu$                                  'titulo
call Com_Txt_LinTit2                               'listar
end sub


Sub MovDoc_LinSbt2 'subtotal 2
ideSbt$ = "Subtotal do documento"                  'identificacao de subtotal
call Com_Txt_LinSbt2                               'listar
end sub

##


'==============================================================================
#INC - Funcoes comuns
'==============================================================================
Funcoes comuns                         =[SIG_Dir.Div],LsComPgm.std
##

